Bug 449575 - installation using a USB stick not working in F9, worked in F8
installation using a USB stick not working in F9, worked in F8
Status: CLOSED CURRENTRELEASE
Product: Fedora Documentation
Classification: Fedora
Component: install-guide (Show other bugs)
devel
All Linux
low Severity high
: ---
: ---
Assigned To: Paul W. Frields
Paul W. Frields
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-02 17:04 EDT by Bingo
Modified: 2008-07-25 20:09 EDT (History)
1 user (show)

See Also:
Fixed In Version: 9.0.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-25 20:09:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bingo 2008-06-02 17:04:41 EDT
Description of problem:
I am using the steps from here :
http://docs.fedoraproject.org/install-guide/f9/en_US/sn-making-media.html#id543953
to install a DVD iso stored on the hard disk, while booting from a USB stick. I
can setup the live image on the USB stick as per the tool livecd-iso-to-disk.
Its output is given below(2 different attempts, both do not work) : 
*************************************************************
root/localhost@13:24:08:/media/godown/images# livecd-iso-to-disk
Fedora-9-i386-DVD.iso /dev/sdc1
Verifying image...
Fedora-9-i386-DVD.iso:   ea18364c0ff0d4d8278b87eed5d59d47
Fragment sums: 356bc1346eb2468a5fbba759faa2a68c5ed4f133f64ad456dd  463764de5d
Fragment count: 20
Percent complete: 100.0%   Fragment[20/20] -> OK
100.0
The media check is complete, the result is: PASS.

It is OK to use this media.
Already set up as live image.  Deleting old in fifteen seconds...
Copying live image to USB stick
Updating boot config file
Installing boot loader
USB stick set up as live image!
*************************************************************
*************************************************************
root/localhost@00:56:39:/media/F9/images# livecd-iso-to-disk boot.iso /dev/sd
c1
Verifying image...
boot.iso: Could not get pvd data
Unable to read the disc checksum from the primary volume descriptor.
This probably means the disc was created without adding the checksum.Are you
SURE you want to continue?
Press Enter to continue or ctrl-c to abort

Already set up as live image.  Deleting old in fifteen seconds...
Copying live image to USB stick
Updating boot config file
Installing boot loader
/media/usbdev.lE3150/syslinux is device /dev/sdc1
USB stick set up as live image!
*************************************************************


But my system refuses to boot from such a USB stick (it has the first boot
priority in BIOS). It boots from the hard disk which is the second boot priority.

Why I consider it as a bug is that it worked in Fedora 8. Though the process was
different in Fedora 8, this was easily achievable in Fedora 8 for the same
computer hardware and same USB stick. I just dd'ed the images/diskboot.img file
available in the DVD iso to the USB stick and was able to boot from it.

When I dd Fedora 8's diskboot.img onto the USB stick and boot from it, I cannot
specify a Fedora 9's DVD iso at the install stage. Maybe it strictly expects a
Fedora 8's image. A way to make it work with Fedora 9's DVD image will also be
enough for the closure of this bug.

I have already asked the experts at Fedora Forum, and could not resolve the
issue. Thread URL is
http://forums.fedoraforum.org/forum/showthread.php?t=190524. I have tried to add
all details here, but if some detail is missing it will be available in this thread.

Version-Release number of selected component (if applicable):


How reproducible:
Always. A loss of functionality from Fedora 8 to Fedora 9.

Steps to Reproduce:
1. In installed Fedora 8, su -c 'yum -y install livecd-tools'
2. Create msdos partition table in USB stick. Format first partition with fat32
and mark it bootable with parted.
3. su -c 'livecd-iso-to-disk the_image.iso /dev/sdX1'
4. Boot from this USB stick.
  
Actual results: System does not think USB stick has any bootable data.


Expected results: Booting from USB stick, and it should ask for location of DVD
iso in hard disk for installation.


Additional info: dd'ing diskboot.img from Fedora 8's install image to a USB
stick resulted in such a partition table : 
********************************************
temp/localhost@02:25:41:/media/$ sudo parted /dev/sdd
GNU Parted 1.8.6
Using /dev/sdd
Welcome to GNU Parted! Type 'help' to view a list of commands.
(parted) print
Model: Kingston DataTraveler 2.0 (scsi)
Disk /dev/sdd: 4006MB
Sector size (logical/physical): 512B/512B
Partition Table: loop

Number  Start  End     Size    File system  Flags
 1      0.00B  4006MB  4006MB  fat16
********************************************

running livecd-iso-to-disk results in :
********************************************
devesh/localhost@01:43:41:/media/AUDIO/images$ sudo parted /dev/sdc
GNU Parted 1.8.6
Using /dev/sdc
Welcome to GNU Parted! Type 'help' to view a list of commands.
(parted) print
Model: Kingston DataTraveler 2.0 (scsi)
Disk /dev/sdc: 4006MB
Sector size (logical/physical): 512B/512B
Partition Table: msdos

Number  Start   End     Size    Type     File system  Flags
 1      32.3kB  49.4MB  49.3MB  primary  fat32

(parted) toggle 1 boot
(parted) quit
********************************************
Comment 1 Jeremy Katz 2008-07-24 17:37:52 EDT
livecd-iso-to-disk isn't an arbitrary "iso to usb stick" script -- it's for the
livecd.

You can do similar sorts of things for other types of isos, but there's not any
way to do it generically.
Comment 2 Bingo 2008-07-25 15:26:12 EDT
Maybe I did not make myself clear.

The instructions link that I gave
(http://docs.fedoraproject.org/install-guide/f9/en_US/sn-making-media.html#id543953)
mentions that this script livecd-iso-to-disk works for a livecd as well as the
minimal boot image (boot.iso). I did not have the live CD, but I had the
boot.iso and I tried it. Results are mentioned in the above comments. No luck.

Comment 3 Jeremy Katz 2008-07-25 16:07:52 EDT
This is a bug in the docs then... this isn't a supported working mode for
livecd-iso-to-disk.
Comment 4 Paul W. Frields 2008-07-25 20:09:33 EDT
Fixed in CVS and will be live on the Web shortly.

Note You need to log in before you can comment on or make changes to this bug.